local mod = get_mod("TempBuffFix")

mod:hook("HudElementPlayerBuffs", "_get_available_widget", function(func, self)
    local widget = func(self)
    if not widget then 
        --mod:echo("caught buff issue")
        return self._buff_widgets_array[1]
    end
    return widget
end)